#include<stdio.h>
#include<iostream>


#include<math.h>
using namespace std;
int main() {
	unsigned long long a,b,c,d,e,f,b1,b2,b3,b4,b5,b6,max,i,j,k;
	
	cin>>a>>b>>c;
	d=a;
	e=b;
	f=c;
	i=0;
	k=0;
	j=0;
	while (d>0){
		d=d/10;
		i=i+1;
	}
	while (e>0){
		e=e/10;
		k=k+1;
	}
	while (f>0){
		f=f/10;
		j=j+1;
	}
	
	/*abc*/b1=a*pow(10, k+j)+b*pow(10, j)+c;
	/*acb*/b2=a*pow(10, j+k)+c*pow(10, k)+b;
	/*bac*/b3=b*pow(10, i+j)+a*pow(10, j)+c;
	/*bca*/b4=b*pow(10, j+i)+c*pow(10, i)+a;
	/*cab*/b5=c*pow(10, i+k)+a*pow(10, k)+b;
	/*cba*/b6=c*pow(10, k+i)+b*pow(10, i)+a;
	
	max=b1;
	if(b2>max){
		max=b2;
	}
	if(b3>max){
		max=b3;
	}
	if(b4>max){
		max=b4;
	}
	if(b5>max){
		max=b5;
	}
	if(b6>max){
		max=b6;
	}
	cout<<max;
	return 0;
}